function regexFunction(operator, caseSensitive = true) {
  return (expr, _) => {
    expr[0] = operator;
    expr.push(["collator", { "case-sensitive": caseSensitive }]);
    return expr;
  };
}
const equal = {
  name: "equal",
  fn: regexFunction("==", true)
};
const equali = {
  name: "equali",
  fn: regexFunction("==", false)
};
const regex = {
  name: "regex",
  fn: regexFunction("~", true)
};
const regexi = {
  name: "regexi",
  fn: regexFunction("~", false)
};

export { equal, equali, regex, regexi };
