import { EventEmitter } from 'eventemitter3';

var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
class MapPluginBase extends EventEmitter {
  constructor(pluginManager, options) {
    super();
    __publicField(this, "_pluginManager");
    __publicField(this, "options");
    this._pluginManager = pluginManager;
    this.options = options ?? {};
  }
  get map() {
    return this._pluginManager.map;
  }
  get pluginManager() {
    return this._pluginManager;
  }
}

export { MapPluginBase };
