import { MapEvent } from '../../support/map-events.mjs';

var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
class SelectionEvent extends MapEvent {
  constructor(type, map, sourceIdentifier, features) {
    super(type, map);
    __publicField(this, "source");
    __publicField(this, "sourceLayer");
    __publicField(this, "features");
    this.source = sourceIdentifier.source;
    this.sourceLayer = sourceIdentifier.sourceLayer;
    this.features = features;
  }
}

export { SelectionEvent };
