function ensureArray(a, ...rest) {
  if (arguments.length === 0) {
    return [];
  }
  if (arguments.length === 1) {
    if (a === void 0 || a === null) {
      return [];
    }
    if (Array.isArray(a)) {
      return a;
    }
  }
  return Array.prototype.slice.call(arguments);
}

export { ensureArray };
