type Func<TArgs extends any[] = any[], TResult = any | void> = (...args: TArgs) => TResult;
type NoReturn<T extends Func> = Func<Parameters<T>, void>;
declare const doNotMemoize: unique symbol;
interface MemoizeOptions<TArgs extends any[], TKey> {
    hash?: Func<TArgs, TKey | typeof doNotMemoize>;
    context?: any;
}
declare function memoize<TArgs extends any[], TResult, TKey>(originalFunction: Func<TArgs, TResult>, options: MemoizeOptions<TArgs, TKey>): (...args: TArgs) => TResult;

export { type Func as F, type MemoizeOptions as M, type NoReturn as N, memoize as m };
