import { FlowCoreError } from './flow-error.mjs';

class FlowCoreExpressionError extends FlowCoreError {
  constructor(expression, reason, errors) {
    super(`Failed to evaluate expression:
${expression}
------
${errors.join(", ")}`);
    this.reason = reason;
    this.errors = errors;
  }
}

export { FlowCoreExpressionError };
