import { MapEvent } from '../../support/map-events.mjs';

var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
class AnnotationEvent extends MapEvent {
  constructor(type, map, data) {
    super(type, map);
    __publicField(this, "mode");
    __publicField(this, "canUndo");
    __publicField(this, "canRedo");
    __publicField(this, "activeFeatureId");
    __publicField(this, "activeFeatureType");
    __publicField(this, "features");
    this.mode = data.mode;
    this.canUndo = data.canUndo;
    this.canRedo = data.canRedo;
    this.activeFeatureId = data.activeFeatureId;
    this.activeFeatureType = data.activeFeatureType;
    this.features = data.features;
  }
}

export { AnnotationEvent };
