const dragPan = {
  enable(ctx) {
    setTimeout(() => {
      if (!ctx.map || !ctx.map.dragPan || !ctx._ctx || !ctx._ctx.store || !ctx._ctx.store.getInitialConfigValue)
        return;
      if (!ctx._ctx.store.getInitialConfigValue("dragPan"))
        return;
      ctx.map.dragPan.enable();
    }, 0);
  },
  disable(ctx) {
    setTimeout(() => {
      if (!ctx.map || !ctx.map.doubleClickZoom)
        return;
      ctx.map.dragPan.disable();
    }, 0);
  }
};

export { dragPan as default };
