import { MapPluginBase } from '../map-plugin-base.mjs';
import { MapExporter } from './map-exporter.mjs';

var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
class ExportPlugin extends MapPluginBase {
  constructor(pluginManager) {
    super(pluginManager);
    __publicField(this, "name", "ExportPlugin");
  }
  exportMap(options) {
    const mapExporter = new MapExporter(this.map);
    return mapExporter.export(options);
  }
}

export { ExportPlugin };
