import { FlowCoreError } from '../errors/flow-error.mjs';

function assert(condition, message) {
  if (!condition) {
    throw new FlowCoreError(message ?? "Assertion failed");
  }
}
function die(message) {
  throw new FlowCoreError(message);
}

export { assert, die };
