import { WatchablePromise } from './watchable-promise.mjs';

function deferred() {
  let methods;
  const promise = new WatchablePromise((resolve, reject) => {
    methods = { resolve, reject };
  });
  return Object.assign(promise, methods);
}

export { deferred };
