import { customAlphabet } from 'nanoid';

const nanoid = customAlphabet("abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ01923456789", 10);
function randomId(prefix, length) {
  const id = nanoid(length);
  return prefix ? `${prefix}-${id}` : id;
}

export { randomId };
